import { Kernel as JupyterKernel, KernelManager } from '@jupyterlab/services';
export declare type IKernelProps = {
    kernelManager: KernelManager;
    kernelName: string;
};
export declare class Kernel {
    private _kernelManager;
    private _kernelName;
    private _kernel;
    constructor(options: IKernelProps);
    private requestKernel;
    getJupyterKernel(): Promise<JupyterKernel.IKernelConnection>;
}
export default Kernel;
